## r-cran-rversions 2.0.1

=== DESCRIPTION ===
Package: rversions
Title: Query 'R' Versions, Including 'r-release' and 'r-oldrel'
Version: 2.0.1
Authors@R: 
    c(person(given = "Gábor",
             family = "Csárdi",
             role = c("aut", "cre"),
             email = "csardi.gabor@gmail.com"),
      person(given = "Jeroen",
             family = "Ooms",
             role = "ctb",
             email = "jeroen.ooms@stat.ucla.edu"),
      person(given = "R Consortium",
             role = "fnd"))
Description: Query the main 'R' 'SVN' repository to find the
    versions 'r-release' and 'r-oldrel' refer to, and also all previous
    'R' versions and their release dates.
License: MIT + file LICENSE
URL: https://github.com/r-hub/rversions,
        https://r-hub.github.io/rversions
BugReports: https://github.com/r-hub/rversions/issues
Imports: curl, utils, xml2 (>= 1.0.0)
Suggests: mockery, testthat
Encoding: UTF-8
RoxygenNote: 7.0.1
NeedsCompilation: no
Packaged: 2019-12-03 13:06:39 UTC; maelle
Author: Gábor Csárdi [aut, cre],
  Jeroen Ooms [ctb],
  R Consortium [fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2019-12-03 13:50:02 UTC

=== debian/changelog ===
r-cran-rversions (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Jan 2020 08:42:58 +0100

r-cran-rversions (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 27 Oct 2019 15:42:37 +0100

r-cran-rversions (2.0.0-1) unstable; urgency=medium

  * Initial release (closes: #940120)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Sep 2019 17:05:27 +0200

=== debian/control ===
Source: r-cran-rversions
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-curl,
               r-cran-xml2
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rversions
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rversions.git
Homepage: https://cran.r-project.org/package=rversions

Package: r-cran-rversions
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: query GNU R versions, including 'r-release' and 'r-oldrel'
 Query the main 'R' 'SVN' repository to find the
 versions 'r-release' and 'r-oldrel' refer to, and also all
 previous 'R' versions and their release dates.

## r-cran-rversions 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rversions
 Title: Query 'R' Versions, Including 'r-release' and 'r-oldrel'
-Version: 2.0.1
+Version: 2.0.2
 Authors@R: 
     c(person(given = "Gábor",
              family = "Csárdi",
@@ -24,10 +24,10 @@
 Encoding: UTF-8
 RoxygenNote: 7.0.1
 NeedsCompilation: no
-Packaged: 2019-12-03 13:06:39 UTC; maelle
+Packaged: 2020-05-25 08:34:27 UTC; gaborcsardi
 Author: Gábor Csárdi [aut, cre],
   Jeroen Ooms [ctb],
   R Consortium [fnd]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-12-03 13:50:02 UTC
+Date/Publication: 2020-05-25 09:00:03 UTC

=== debian/changelog ===
r-cran-rversions (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Jun 2020 08:30:47 +0200

r-cran-rversions (2.0.1-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 22:33:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-curl,
                r-cran-xml2
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rversions
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rversions.git
 Homepage: https://cran.r-project.org/package=rversions
+Rules-Requires-Root: no
 
 Package: r-cran-rversions
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mockery
Restrictions: allow-stderr

## r-cran-rversions 2.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rversions
 Title: Query 'R' Versions, Including 'r-release' and 'r-oldrel'
-Version: 2.0.2
+Version: 2.1.1
 Authors@R: 
     c(person(given = "Gábor",
              family = "Csárdi",
@@ -17,17 +17,17 @@
     'R' versions and their release dates.
 License: MIT + file LICENSE
 URL: https://github.com/r-hub/rversions,
-        https://r-hub.github.io/rversions
+        https://r-hub.github.io/rversions/
 BugReports: https://github.com/r-hub/rversions/issues
 Imports: curl, utils, xml2 (>= 1.0.0)
 Suggests: mockery, testthat
 Encoding: UTF-8
-RoxygenNote: 7.0.1
+RoxygenNote: 7.1.1.9001
 NeedsCompilation: no
-Packaged: 2020-05-25 08:34:27 UTC; gaborcsardi
+Packaged: 2021-05-31 08:36:02 UTC; gaborcsardi
 Author: Gábor Csárdi [aut, cre],
   Jeroen Ooms [ctb],
   R Consortium [fnd]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-05-25 09:00:03 UTC
+Date/Publication: 2021-05-31 09:10:02 UTC

=== debian/changelog ===
r-cran-rversions (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 09:43:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-curl,
                r-cran-xml2
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rversions
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rversions.git
 Homepage: https://cran.r-project.org/package=rversions

## r-cran-rversions 2.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rversions
 Title: Query 'R' Versions, Including 'r-release' and 'r-oldrel'
-Version: 2.1.1
+Version: 2.1.2
 Authors@R: 
     c(person(given = "Gábor",
              family = "Csárdi",
@@ -20,14 +20,14 @@
         https://r-hub.github.io/rversions/
 BugReports: https://github.com/r-hub/rversions/issues
 Imports: curl, utils, xml2 (>= 1.0.0)
-Suggests: mockery, testthat
+Suggests: covr, mockery, testthat
 Encoding: UTF-8
-RoxygenNote: 7.1.1.9001
+RoxygenNote: 7.2.1.9000
 NeedsCompilation: no
-Packaged: 2021-05-31 08:36:02 UTC; gaborcsardi
+Packaged: 2022-08-31 09:59:51 UTC; gaborcsardi
 Author: Gábor Csárdi [aut, cre],
   Jeroen Ooms [ctb],
   R Consortium [fnd]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-05-31 09:10:02 UTC
+Date/Publication: 2022-08-31 10:30:02 UTC

=== debian/changelog ===
r-cran-rversions (2.1.2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2022 08:56:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-curl,
                r-cran-xml2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rversions
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rversions.git
 Homepage: https://cran.r-project.org/package=rversions

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rversions_([-\d.]*)\.tar\.gz

## r-cran-rversions 3.0.0

=== debian/changelog ===
r-cran-rversions (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jan 2026 18:28:06 +0900

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-curl,
-               r-cran-xml2
-Standards-Version: 4.6.1
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rversions
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rversions.git
 Homepage: https://cran.r-project.org/package=rversions

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-pillar,
        r-cran-testthat (>= 3.0.0),
        r-cran-webfakes,
        r-cran-withr
Restrictions: allow-stderr
